;=======================================
;  CVASM16 INCLUDE FILE for the 12F510
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F510h      
                     ROMSIZE    1024        
                     EESIZE     0           
                     CORE       _12bit      
                     PAGEBIT    1           
                     MAXTRIS    0006        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
OSCCAL               EQU        0005h       
GPIO                 EQU        0006h       
CM1CON0              EQU        0007h       
ADCON0               EQU        0008h       
ADRES                EQU        0009h       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
GPWUF                EQU        STATUS.7    
CWUF                 EQU        STATUS.6    
PA0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  OSCCAL Register BIT Definitions 
;=======================================
CAL6                 EQU        OSCCAL.7    
CAL5                 EQU        OSCCAL.6    
CAL4                 EQU        OSCCAL.5    
CAL3                 EQU        OSCCAL.4    
CAL2                 EQU        OSCCAL.3    
CAL1                 EQU        OSCCAL.2    
CAL0                 EQU        OSCCAL.1    


;=======================================
;  CM1CON0 Register BIT Definitions 
;=======================================
C1OUT                EQU        CM1CON0.7   
NOT_C1OUTEN          EQU        CM1CON0.6   
C1POL                EQU        CM1CON0.5   
NOT_C1T0CS           EQU        CM1CON0.4   
C1ON                 EQU        CM1CON0.3   
C1NREF               EQU        CM1CON0.2   
C1PREF               EQU        CM1CON0.1   
NOT_C1WU             EQU        CM1CON0.0   


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ANS1                 EQU        ADCON0.7    
ANS0                 EQU        ADCON0.6    
ADCS1                EQU        ADCON0.5    
ADCS0                EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  GPIO Register BIT Definitions 
;=======================================
GP0                  EQU        GPIO.0      
GP1                  EQU        GPIO.1      
GP2                  EQU        GPIO.2      
GP3                  EQU        GPIO.3      
GP4                  EQU        GPIO.4      
GP5                  EQU        GPIO.5      


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_IOSCFS_ON           EQU        0FFFh       
_IOSCFS_OFF          EQU        0FDFh       
_MCLRE_ON            EQU        0FFFh       
_MCLRE_OFF           EQU        0FEFh       
_CP_ON               EQU        0FF7h       
_CP_OFF              EQU        0FFFh       
_WDT_ON              EQU        0FFFh       
_WDT_OFF             EQU        0FFBh       
_LP_OSC              EQU        0FFCh       
_XT_OSC              EQU        0FFDh       
_IntRC_OSC           EQU        0FFEh       
_ExtRC_OSC           EQU        0FFFh       
