;=======================================
;  CVASM16 INCLUDE FILE for the 16F689
;  Copyright (c) 2001-2006 by TechTools
;support@tech-tools.com, sales@tech-tools.com
;    972-272-9392  FAX: 972-494-5814
;
;  - Last update: 04-05-06
;=======================================

                     DEVCODE    0F689h      
                     ROMSIZE    4096        
                     EESIZE     256         
                     CORE       _14bit      
                     PAGEBIT    1           
                     MAXTRIS    0007        

;=======================================
;  Main File Register Definitions 
;=======================================
INDF                 EQU        0000h       
INDIRECT             EQU        0000h       ; backwards compatability
TMR0                 EQU        0001h       
PCL                  EQU        0002h       
STATUS               EQU        0003h       
FSR                  EQU        0004h       
PORTA                EQU        0005h       
RA                   EQU        0005h       ; backwards compatability
PORTB                EQU        0006h       
RB                   EQU        0006h       ; backwards compatability
PORTC                EQU        0007h       
RC                   EQU        0007h       ; backwards compatability
PCLATH               EQU        000Ah       
INTCON               EQU        000Bh       
PIR1                 EQU        000Ch       
PIR2                 EQU        000Dh       
TMR1L                EQU        000Eh       
TMR1H                EQU        000Fh       
T1CON                EQU        0010h       
SSPBUF               EQU        0013h       
SSPCON               EQU        0014h       
RCSTA                EQU        0018h       
TXREG                EQU        0019h       
RCREG                EQU        001Ah       
ADRESH               EQU        001Eh       
ADCON0               EQU        001Fh       
OPTION_REG           EQU        0081h       
OPTION               EQU        0081h       ; backwards compatability
TRISA                EQU        0085h       
TRISB                EQU        0086h       
TRISC                EQU        0087h       
PIE1                 EQU        008Ch       
PIE2                 EQU        008Dh       
PCON                 EQU        008Eh       
OSCCON               EQU        008Fh       
OSCTUNE              EQU        0090h       
SSPADD               EQU        0093h       
MSK                  EQU        0093h       
SSPMSK               EQU        0093h       
SSPSTAT              EQU        0094h       
WPU                  EQU        0095h       
WPUA                 EQU        0095h       
IOC                  EQU        0096h       
IOCA                 EQU        0096h       
WDTCON               EQU        0097h       
TXSTA                EQU        0098h       
SPBRG                EQU        0099h       
SPBRGH               EQU        009Ah       
BAUDCTL              EQU        009Bh       
ADRESL               EQU        009Eh       
ADCON1               EQU        009Fh       
EEDAT                EQU        010Ch       
EEDATA               EQU        010Ch       
EEADR                EQU        010Dh       
EEDATH               EQU        010Eh       
EEADRH               EQU        010Fh       
WPUB                 EQU        0115h       
IOCB                 EQU        0116h       
VRCON                EQU        0118h       
CM1CON0              EQU        0119h       
CM2CON0              EQU        011Ah       
CM2CON1              EQU        011Bh       
ANSEL                EQU        011Eh       
ANSELH               EQU        011Fh       
EECON1               EQU        018Ch       
EECON2               EQU        018Dh       
SRCON                EQU        019Eh       


;=======================================
;  STATUS Register BIT Definitions 
;=======================================
IRP                  EQU        STATUS.7    
RP1                  EQU        STATUS.6    
RP0                  EQU        STATUS.5    
NOT_TO               EQU        STATUS.4    
NOT_PD               EQU        STATUS.3    
Z                    EQU        STATUS.2    
DC                   EQU        STATUS.1    
C                    EQU        STATUS.0    


;=======================================
;  INTCON Register BIT Definitions 
;=======================================
GIE                  EQU        INTCON.7    
PEIE                 EQU        INTCON.6    
T0IE                 EQU        INTCON.5    
INTE                 EQU        INTCON.4    
RABIE                EQU        INTCON.3    
T0IF                 EQU        INTCON.2    
INTF                 EQU        INTCON.1    
RABIF                EQU        INTCON.0    


;=======================================
;  PIR1 Register BIT Definitions 
;=======================================
ADIF                 EQU        PIR1.6      
RCIF                 EQU        PIR1.5      
TXIF                 EQU        PIR1.4      
SSPIF                EQU        PIR1.3      
T1IF                 EQU        PIR1.0      
TMR1IF               EQU        PIR1.0      


;=======================================
;  PIR2 Register BIT Definitions 
;=======================================
OSFIF                EQU        PIR2.7      
C2IF                 EQU        PIR2.6      
C1IF                 EQU        PIR2.5      
EEIF                 EQU        PIR2.4      


;=======================================
;  T1CON Register BIT Definitions 
;=======================================
T1GINV               EQU        T1CON.7     
TMR1GE               EQU        T1CON.6     
T1CKPS1              EQU        T1CON.5     
T1CKPS0              EQU        T1CON.4     
T1OSCEN              EQU        T1CON.3     
NOT_T1SYNC           EQU        T1CON.2     
TMR1CS               EQU        T1CON.1     
TMR1ON               EQU        T1CON.0     


;=======================================
;  SSPCON Register BIT Definitions 
;=======================================
WCOL                 EQU        SSPCON.7    
SSPOV                EQU        SSPCON.6    
SSPEN                EQU        SSPCON.5    
CKP                  EQU        SSPCON.4    
SSPM3                EQU        SSPCON.3    
SSPM2                EQU        SSPCON.2    
SSPM1                EQU        SSPCON.1    
SSPM0                EQU        SSPCON.0    


;=======================================
;  RCSTA Register BIT Definitions 
;=======================================
SPEN                 EQU        RCSTA.7     
RX9                  EQU        RCSTA.6     
SREN                 EQU        RCSTA.5     
CREN                 EQU        RCSTA.4     
ADDEN                EQU        RCSTA.3     
FERR                 EQU        RCSTA.2     
OERR                 EQU        RCSTA.1     
RX9D                 EQU        RCSTA.0     


;=======================================
;  ADCON0 Register BIT Definitions 
;=======================================
ADFM                 EQU        ADCON0.7    
VCFG                 EQU        ADCON0.6    
CHS3                 EQU        ADCON0.5    
CHS2                 EQU        ADCON0.4    
CHS1                 EQU        ADCON0.3    
CHS0                 EQU        ADCON0.2    
GO                   EQU        ADCON0.1    
NOT_DONE             EQU        ADCON0.1    
GO_DONE              EQU        ADCON0.1    
ADON                 EQU        ADCON0.0    


;=======================================
;  OPTION Register BIT Definitions 
;=======================================
NOT_RABPU            EQU        OPTION_REG.7
INTEDG               EQU        OPTION_REG.6
T0CS                 EQU        OPTION_REG.5
T0SE                 EQU        OPTION_REG.4
PSA                  EQU        OPTION_REG.3
PS2                  EQU        OPTION_REG.2
PS1                  EQU        OPTION_REG.1
PS0                  EQU        OPTION_REG.0


;=======================================
;  TRISA Register BIT Definitions 
;=======================================
TRISA5               EQU        TRISA.5     
TRISA4               EQU        TRISA.4     
TRISA3               EQU        TRISA.3     
TRISA2               EQU        TRISA.2     
TRISA1               EQU        TRISA.1     
TRISA0               EQU        TRISA.0     


;=======================================
;  TRISB Register BIT Definitions 
;=======================================
TRISB7               EQU        TRISB.7     
TRISB6               EQU        TRISB.6     
TRISB5               EQU        TRISB.5     
TRISB4               EQU        TRISB.4     


;=======================================
;  TRISC Register BIT Definitions 
;=======================================
TRISC7               EQU        TRISC.7     
TRISC6               EQU        TRISC.6     
TRISC5               EQU        TRISC.5     
TRISC4               EQU        TRISC.4     
TRISC3               EQU        TRISC.3     
TRISC2               EQU        TRISC.2     
TRISC1               EQU        TRISC.1     
TRISC0               EQU        TRISC.0     


;=======================================
;  PIE1 Register BIT Definitions 
;=======================================
ADIE                 EQU        PIE1.6      
RCIE                 EQU        PIE1.5      
TXIE                 EQU        PIE1.4      
SSPIE                EQU        PIE1.3      
T1IE                 EQU        PIE1.0      
TMR1IE               EQU        PIE1.0      


;=======================================
;  PIE2 Register BIT Definitions 
;=======================================
OSFIE                EQU        PIE2.7      
C2IE                 EQU        PIE2.6      
C1IE                 EQU        PIE2.5      
EEIE                 EQU        PIE2.4      


;=======================================
;  PCON Register BIT Definitions 
;=======================================
ULPWUE               EQU        PCON.5      
SBOREN               EQU        PCON.4      
NOT_POR              EQU        PCON.1      
NOT_BOR              EQU        PCON.0      


;=======================================
;  OSCCON Register BIT Definitions 
;=======================================
IRCF2                EQU        OSCCON.6    
IRCF1                EQU        OSCCON.5    
IRCF0                EQU        OSCCON.4    
OSTS                 EQU        OSCCON.3    
HTS                  EQU        OSCCON.2    
LTS                  EQU        OSCCON.1    
SCS                  EQU        OSCCON.0    


;=======================================
;  OSCTUNE Register BIT Definitions 
;=======================================
TUN4                 EQU        OSCTUNE.4   
TUN3                 EQU        OSCTUNE.3   
TUN2                 EQU        OSCTUNE.2   
TUN1                 EQU        OSCTUNE.1   
TUN0                 EQU        OSCTUNE.0   


;=======================================
;  SSPSTAT Register BIT Definitions 
;=======================================
SMP                  EQU        SSPSTAT.7   
CKE                  EQU        SSPSTAT.6   
D                    EQU        SSPSTAT.5   
I2C_DATA             EQU        SSPSTAT.5   
NOT_A                EQU        SSPSTAT.5   
NOT_ADDRESS          EQU        SSPSTAT.5   
D_A                  EQU        SSPSTAT.5   
DATA_ADDRESS         EQU        SSPSTAT.5   
P                    EQU        SSPSTAT.4   
I2C_STOP             EQU        SSPSTAT.4   
S                    EQU        SSPSTAT.3   
I2C_START            EQU        SSPSTAT.3   
R                    EQU        SSPSTAT.2   
I2C_READ             EQU        SSPSTAT.2   
NOT_W                EQU        SSPSTAT.2   
NOT_WRITE            EQU        SSPSTAT.2   
R_W                  EQU        SSPSTAT.2   
READ_WRITE           EQU        SSPSTAT.2   
UA                   EQU        SSPSTAT.1   
BF                   EQU        SSPSTAT.0   


;=======================================
;  WPUA Register BIT Definitions 
;=======================================
WPUA5                EQU        WPUA.5      
WPUA4                EQU        WPUA.4      
WPUA2                EQU        WPUA.2      
WPUA1                EQU        WPUA.1      
WPUA0                EQU        WPUA.0      


;=======================================
;  IOC Register BIT Definitions 
;=======================================
IOC5                 EQU        IOC.5       
IOC4                 EQU        IOC.4       
IOC3                 EQU        IOC.3       
IOC2                 EQU        IOC.2       
IOC1                 EQU        IOC.1       
IOC0                 EQU        IOC.0       


;=======================================
;  IOCA Register BIT Definitions 
;=======================================
IOCA5                EQU        IOCA.5      
IOCA4                EQU        IOCA.4      
IOCA3                EQU        IOCA.3      
IOCA2                EQU        IOCA.2      
IOCA1                EQU        IOCA.1      
IOCA0                EQU        IOCA.0      


;=======================================
;  WDTCON Register BIT Definitions 
;=======================================
WDTPS3               EQU        WDTCON.4    
WDTPS2               EQU        WDTCON.3    
WDTPS1               EQU        WDTCON.2    
WDTPS0               EQU        WDTCON.1    
SWDTEN               EQU        WDTCON.0    


;=======================================
;  TXSTA Register BIT Definitions 
;=======================================
CSRC                 EQU        TXSTA.7     
TX9                  EQU        TXSTA.6     
TXEN                 EQU        TXSTA.5     
SYNC                 EQU        TXSTA.4     
SENB                 EQU        TXSTA.3     
BRGH                 EQU        TXSTA.2     
TRMT                 EQU        TXSTA.1     
TX9D                 EQU        TXSTA.0     


;=======================================
;  SPBRG Register BIT Definitions 
;=======================================
BRG7                 EQU        SPBRG.7     
BRG6                 EQU        SPBRG.6     
BRG5                 EQU        SPBRG.5     
BRG4                 EQU        SPBRG.4     
BRG3                 EQU        SPBRG.3     
BRG2                 EQU        SPBRG.2     
BRG1                 EQU        SPBRG.1     
BRG0                 EQU        SPBRG.0     


;=======================================
;  SPBRGH Register BIT Definitions 
;=======================================
BRG15                EQU        SPBRGH.7    
BRG14                EQU        SPBRGH.6    
BRG13                EQU        SPBRGH.5    
BRG12                EQU        SPBRGH.4    
BRG11                EQU        SPBRGH.3    
BRG10                EQU        SPBRGH.2    
BRG9                 EQU        SPBRGH.1    
BRG8                 EQU        SPBRGH.0    


;=======================================
;  BAUDCTL Register BIT Definitions 
;=======================================
ABDOVF               EQU        BAUDCTL.7   
RCIDL                EQU        BAUDCTL.6   
SCKP                 EQU        BAUDCTL.4   
BRG16                EQU        BAUDCTL.3   
WUE                  EQU        BAUDCTL.1   
ABDEN                EQU        BAUDCTL.0   
ADCS2                EQU        BAUDCTL.6   
ADCS1                EQU        BAUDCTL.5   
ADCS0                EQU        BAUDCTL.4   


;=======================================
;  WPUB Register BIT Definitions 
;=======================================
WPUB7                EQU        WPUB.7      
WPUB6                EQU        WPUB.6      
WPUB5                EQU        WPUB.5      
WPUB4                EQU        WPUB.4      


;=======================================
;  IOCB Register BIT Definitions 
;=======================================
IOCB7                EQU        IOCB.7      
IOCB6                EQU        IOCB.6      
IOCB5                EQU        IOCB.5      
IOCB4                EQU        IOCB.4      


;=======================================
;  VRCON Register BIT Definitions 
;=======================================
C1VREN               EQU        VRCON.7     
C2VREN               EQU        VRCON.6     
VRR                  EQU        VRCON.5     
VP6EN                EQU        VRCON.4     
VR3                  EQU        VRCON.3     
VR2                  EQU        VRCON.2     
VR1                  EQU        VRCON.1     
VR0                  EQU        VRCON.0     


;=======================================
;  CM1CON0 Register BIT Definitions 
;=======================================
C1ON                 EQU        CM1CON0.7   
C1OUT                EQU        CM1CON0.6   
C1OE                 EQU        CM1CON0.5   
C1POL                EQU        CM1CON0.4   
C1R                  EQU        CM1CON0.2   
C1CH1                EQU        CM1CON0.1   
C1CH0                EQU        CM1CON0.0   


;=======================================
;  CM2CON0 Register BIT Definitions 
;=======================================
C2ON                 EQU        CM2CON0.7   
C2OUT                EQU        CM2CON0.6   
C2OE                 EQU        CM2CON0.5   
C2POL                EQU        CM2CON0.4   
C2R                  EQU        CM2CON0.2   
C2CH1                EQU        CM2CON0.1   
C2CH0                EQU        CM2CON0.0   


;=======================================
;  CM2CON1 Register BIT Definitions 
;=======================================
MC1OUT               EQU        CM2CON1.7   
MC2OUT               EQU        CM2CON1.6   
T1GSS                EQU        CM2CON1.1   
C2SYNC               EQU        CM2CON1.0   


;=======================================
;  ANSELH Register BIT Definitions 
;=======================================
ANS11                EQU        ANSELH.3    
ANS10                EQU        ANSELH.2    
ANS9                 EQU        ANSELH.1    
ANS8                 EQU        ANSELH.0    


;=======================================
;  ANSEL Register BIT Definitions 
;=======================================
ANS7                 EQU        ANSEL.7     
ANS6                 EQU        ANSEL.6     
ANS5                 EQU        ANSEL.5     
ANS4                 EQU        ANSEL.4     
ANS3                 EQU        ANSEL.3     
ANS2                 EQU        ANSEL.2     
ANS1                 EQU        ANSEL.1     
ANS0                 EQU        ANSEL.0     


;=======================================
;  EECON1 Register BIT Definitions 
;=======================================
EEPGD                EQU        EECON1.7    
WRERR                EQU        EECON1.3    
WREN                 EQU        EECON1.2    
WR                   EQU        EECON1.1    
RD                   EQU        EECON1.0    


;=======================================
;  SRCON Register BIT Definitions 
;=======================================
SR1                  EQU        SRCON.7     
SR0                  EQU        SRCON.6     
C1SEN                EQU        SRCON.5     
C2REN                EQU        SRCON.4     
PULSS                EQU        SRCON.3     
PULSR                EQU        SRCON.2     


;=======================================
;  Configuration (FUSE) BIT Definitions 
;=======================================
_FCMEN_ON            EQU        3FFFh       
_FCMEN_OFF           EQU        37FFh       
_IESO_ON             EQU        3FFFh       
_IESO_OFF            EQU        3BFFh       
_BOR_ON              EQU        3FFFh       
_BOR_NSLEEP          EQU        3EFFh       
_BOR_SBODEN          EQU        3DFFh       
_BOR_OFF             EQU        3CFFh       
_CPD_ON              EQU        3F7Fh       
_CPD_OFF             EQU        3FFFh       
_CP_ON               EQU        3FBFh       
_CP_OFF              EQU        3FFFh       
_MCLRE_ON            EQU        3FFFh       
_MCLRE_OFF           EQU        3FDFh       
_PWRTE_OFF           EQU        3FFFh       
_PWRTE_ON            EQU        3FEFh       
_WDT_ON              EQU        3FFFh       
_WDT_OFF             EQU        3FF7h       
_LP_OSC              EQU        3FF8h       
_XT_OSC              EQU        3FF9h       
_HS_OSC              EQU        3FFAh       
_EC_OSC              EQU        3FFBh       
_INTRC_OSC_NOCLKOUT  EQU        3FFCh       
_INTRC_OSC_CLKOUT    EQU        3FFDh       
_EXTRC_OSC_NOCLKOUT  EQU        3FFEh       
_EXTRC_OSC_CLKOUT    EQU        3FFFh       
_INTOSCIO            EQU        3FFCh       
_INTOSC              EQU        3FFDh       
_EXTRCIO             EQU        3FFEh       
_EXTRC               EQU        3FFFh       
